diff a/src/hotspot/share/memory/universe.hpp b/src/hotspot/share/memory/universe.hpp
--- a/src/hotspot/share/memory/universe.hpp
+++ b/src/hotspot/share/memory/universe.hpp
@@ -230,11 +230,15 @@
   static oop          null_ptr_exception_instance();
   static oop          arithmetic_exception_instance();
   static oop          internal_error_instance();
   static oop          vm_exception()                  { return internal_error_instance(); }
 
-  static Array<Klass*>* the_array_interfaces_array()  { return _the_array_interfaces_array; }
+  static oop          array_index_oob_exception_instance();
+  static oop          array_store_exception_instance();
+  static oop          class_cast_exception_instance();
+
+  static Array<Klass*>* the_array_interfaces_array()  { return _the_array_interfaces_array;   }
   static uintx        the_array_interfaces_bitmap()   { return _the_array_interfaces_bitmap; }
 
   static Method*      finalizer_register_method();
   static Method*      loader_addClass_method();
   static Method*      throw_illegal_access_error();
